=== debian/changelog ===
libtorrent-rasterbar (1.2.5-1.2) unstable; urgency=medium

  * Non-maintainer upload
  * Link against libatomic on riscv64 as well

 -- Graham Inggs <ginggs@debian.org>  Tue, 23 Jun 2020 18:11:28 +0000

libtorrent-rasterbar (1.2.5-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Link against libatomic on armel/mipsel/m68k/powerpc/sh4.
    (Closes: #958958)
  * Build depend on python, which reopens #936927 but closes: #962090.

 -- Adrian Bunk <bunk@debian.org>  Wed, 10 Jun 2020 17:37:20 +0300

libtorrent-rasterbar (1.2.5-1) unstable; urgency=medium

  * New upstream release (Closes: #952447).
  * debian/control:
   - Depend on python3-docutils (Closes: #936927).
   - Bump Standards-Version to 4.5.0.
  * New package libtorrent-rasterbar10, bump library soname.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Mon, 09 Mar 2020 20:41:03 -0400

libtorrent-rasterbar (1.1.13-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Stop building the Python2 packages. Closes: #936927.
  * Fix installation of the python3.8 extension. Closes: #945473.

 -- Matthias Klose <doko@debian.org>  Mon, 25 Nov 2019 17:42:44 +0100
