## libtorrent-rasterbar 1.2.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -38,7 +38,6 @@
 	choker
 	close_reason
 	config
-	ConvertUTF
 	copy_ptr
 	crc32c
 	create_torrent
@@ -320,6 +319,7 @@
 	instantiate_connection
 	merkle
 	natpmp
+	openssl
 	part_file
 	packet_buffer
 	piece_picker
@@ -379,7 +379,6 @@
 	broadcast_socket
 	magnet_uri
 	parse_url
-	ConvertUTF
 	xml_parse
 	version
 	ffs
@@ -486,12 +485,12 @@
 	ucm_set_runtime(STATIC)
 	set(Boost_USE_MULTITHREADED ON)
 	set(Boost_USE_STATIC_RUNTIME ON)
-	set(OPENSSL_USE_STATIC_LIBS TRUE)
-	set(OPENSSL_MSVC_STATIC_RT TRUE)
+	set(OPENSSL_MSVC_STATIC_RT ON)
 endif()
 
 if (NOT BUILD_SHARED_LIBS)
 	set(Boost_USE_STATIC_LIBS ON)
+	set(OPENSSL_USE_STATIC_LIBS ON)
 endif()
 
 add_library(torrent-rasterbar
@@ -501,7 +500,49 @@
 	${libtorrent_aux_include_files}
 )
 
-select_cxx_standard(torrent-rasterbar 11)
+# C++ 11 support is required
+target_compile_features(torrent-rasterbar
+	PUBLIC
+		cxx_std_11
+		cxx_rvalue_references
+		cxx_reference_qualified_functions
+		cxx_nonstatic_member_init
+		cxx_variadic_templates
+		cxx_generalized_initializers
+		cxx_static_assert
+		cxx_auto_type
+		cxx_trailing_return_types
+		cxx_lambdas
+		cxx_decltype
+		cxx_right_angle_brackets
+		cxx_default_function_template_args
+		cxx_alias_templates
+		cxx_extern_templates
+		cxx_nullptr
+		cxx_strong_enums
+		cxx_enum_forward_declarations
+		cxx_attributes
+		cxx_constexpr
+		cxx_alignas
+		cxx_alignof
+		cxx_delegating_constructors
+		cxx_inheriting_constructors
+		cxx_explicit_conversions
+		cxx_raw_string_literals
+		cxx_user_literals
+		cxx_defaulted_functions
+		cxx_deleted_functions
+		cxx_extended_friend_declarations
+		cxx_sizeof_member
+		cxx_inline_namespaces
+		cxx_unrestricted_unions
+		cxx_local_type_template_args
+		cxx_range_for
+		cxx_final
+		cxx_override
+		cxx_noexcept
+		cxx_defaulted_move_initializers
+)
 
 if (BUILD_SHARED_LIBS)
 	target_compile_definitions(torrent-rasterbar
@@ -593,27 +634,3 @@
 feature_option(exceptions "build with exception support" ON)
 target_optional_compile_definitions(torrent-rasterbar PUBLIC FEATURE NAME extensions DEFAULT ON
 	DESCRIPTION "Enables protocol extensions" DISABLED TORRENT_DISABLE_EXTENSIONS)
-target_optional_compile_definitions(torrent-rasterbar PUBLIC FEATURE NAME i2p DEFAULT ON
-	DESCRIPTION "build with I2P support" DISABLED TORRENT_USE_I2P=0)
-target_optional_compile_definitions(torrent-rasterbar PUBLIC FEATURE NAME logging DEFAULT ON
-	DESCRIPTION "build with logging" DISABLED TORRENT_DISABLE_LOGGING)
-target_optional_compile_definitions(torrent-rasterbar PUBLIC FEATURE NAME mutable-torrents DEFAULT ON
-	DESCRIPTION "Enables mutable torrent support" DISABLED TORRENT_DISABLE_MUTABLE_TORRENTS)
-
-find_public_dependency(Iconv)
-if(MSVC)
-	set(iconv_package_type OPTIONAL)
-else()
-	set(iconv_package_type RECOMMENDED)
-endif()
-
-set_package_properties(Iconv
-	PROPERTIES
-		URL "https://www.gnu.org/software/libiconv/"
-		DESCRIPTION "GNU encoding conversion library"
-		TYPE ${iconv_package_type}
-		PURPOSE "Convert strings between various encodings"
-)
-
-if(Iconv_FOUND)
-	target_compile_definitions(torrent-rasterbar PUBLIC TORRENT_USE_ICONV)
