=== bindings/python/CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	elseif(CMAKE_CXX_COMPILER_VERSION VERSION_GREATER_EQUAL 16 AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 17)
 		list(APPEND _tmp 3.3 3.4)
 	elseif(CMAKE_CXX_COMPILER_VERSION VERSION_GREATER_EQUAL 19 AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 20)
-		list(APPEND _tmp 3.5 3.6)
+		list(APPEND _tmp 3.5 3.6 3.7 3.8)
 	endif()
 	set(${_ret} ${_tmp} PARENT_SCOPE)
 endfunction()
@@ -44,14 +44,14 @@
 
 if (NOT boost-python-module-name)
 	# use active python
-	if (PYTHON_VERSION_STRING VERSION_GREATER_EQUAL "3")
-		set(_boost-python-module-name "python${PYTHON_VERSION_MAJOR}")
-	else()
+#	if (PYTHON_VERSION_STRING VERSION_GREATER_EQUAL "3")
+#		set(_boost-python-module-name "python${PYTHON_VERSION_MAJOR}")
+#	else()
 		set(_boost-python-module-name "python") # to overwrite possible value from a previous run
-	endif()
+#	endif()
 endif()
 
-set(boost-python-module-name ${_boost-python-module-name} CACHE STRING "Boost:python module name, e.g. 'pythom-3.6'")
+set(boost-python-module-name ${_boost-python-module-name} CACHE STRING "Boost:python module name, e.g. 'python-3.6'")
 
 find_package(Boost REQUIRED COMPONENTS ${boost-python-module-name})
