=== debian/changelog ===
libtorrent-rasterbar (1.2.9-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Added d/patches/ README suggesting patch ordering and naming.
  * Added patch from upstream to make python move_storage() match C++ signature

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 30 Apr 2021 07:51:42 +0200

libtorrent-rasterbar (1.2.9-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix building Python bindings with -std=c++14 (Closes: #975953), idea from
    Holger Hoffstätte, https://bugs.gentoo.org/739654.

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 05 Dec 2020 16:49:55 +0500

libtorrent-rasterbar (1.2.9-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Andrew Starr-Bochicchio ]
  * New upstream release.
   - Removes src/ConvertUTF.cpp (Closes: #956285).
  * debian/copyright: Address issues found in copyright
    review.
  * debian/control:
   - Remove duplicated python3-docutils build-dep.
   - Drop python build-dep (Closes: #967169, #936927).
  * debian/rules:
   - Prevent call to pyversions by using pybuild (#962090).
   - Pass --std=c++14

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Nov 2020 09:34:56 +0100
