=== debian/control ===
--- 
+++ 
@@ -11,8 +11,6 @@
                libboost-random-dev,
                libssl-dev,
                pkg-config,
-               python,
-               python3-docutils,
                python3-all-dev,
                python3-all-dbg,
                python3-docutils
