=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 include /usr/share/dpkg/buildflags.mk
 
 export DEB_LDFLAGS_MAINT_APPEND  = -Wl,--as-needed
+export DEB_CXXFLAGS_MAINT_APPEND  = -std=c++14
 
 ifneq (,$(filter $(DEB_HOST_ARCH), armel mipsel m68k powerpc riscv64 sh4))
   export DEB_LDFLAGS_MAINT_APPEND += -Wl,--no-as-needed -latomic -Wl,--as-needed
@@ -32,6 +33,8 @@
 		$(CONFIGURE_ARGS)
 	mv build-py$*/bindings/python build/bindings/python$*
 	cp -r bindings/python/* build/bindings/python$*
+	sed s/-std=c++11//g < build/bindings/python$*/compile_cmd > build/bindings/python$*/compile_cmd.new && \
+		mv -f build/bindings/python$*/compile_cmd.new build/bindings/python$*/compile_cmd
 
 override_dh_auto_configure: override_dh_auto_configure-nopy $(ALLPY:%=override_dh_auto_configure-%)
 
@@ -54,10 +57,9 @@
 
 override_dh_auto_install: override_dh_auto_install-nopy $(ALLPY:%=override_dh_auto_install-%)
 
-
 override_dh_auto_clean:
 	rm -rf build build-py*
-	dh_auto_clean
+	dh_auto_clean --buildsystem=pybuild
 
 override_dh_compress:
 	dh_compress -Xcpp
