=== debian/changelog ===
libtorrent-rasterbar (1.2.11-0.1~mx19+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 01 Jan 2021 11:19:50 -0800
